> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform action on multiple delegations



## OpenAPI

````yaml patch /v1/delegations/bulk-action/{action}
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/delegations/bulk-action/{action}:
    patch:
      tags:
        - delegations
      summary: Perform action on multiple delegations
      operationId: DelegationController_handleDelegationsBulkAction_v1
      parameters:
        - name: action
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DelegationsBulkActionDto'
      responses:
        '200':
          description: Delegations bulk action executed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DelegationsBulkUpdateResponseDto'
      security:
        - accessToken: []
components:
  schemas:
    DelegationsBulkActionDto:
      type: object
      properties:
        tenantId:
          type: string
          description: The tenant ID
        delegationIds:
          minItems: 1
          description: Array of delegation IDs to delete/archive/restore etc.
          type: array
          items:
            type: string
        cascadeToChildDelegations:
          type: boolean
          default: false
          description: Indicates where this action should cascade to child delegations
      required:
        - tenantId
        - delegationIds
    DelegationsBulkUpdateResponseDto:
      type: object
      properties:
        updateCount:
          type: number
          description: Number of delegations updated
      required:
        - updateCount
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````